<?php
/*
 * Plugin Name: CoolIris-Piclens
 * File :  piclenswallconfig2.php  
 */
/* Advanced configuration for embeded wall
See : http://www.cooliris.com/developer/reference/flashvars/

backgroundAlpha 	— 0.0 to 1.0					Changes background transparency (Not Well Supported on IE).     To change the backgroundAlpha, you must set the FlashVar "wmode" to "transparent". You can change the alpha and color together. 
backgroundColor 	— Hexadecimal Color String		Sets a color for the background.     This can be specified in either of the usual HTML color formats (#FFFFFF or #FFF), or as a hexidecimal number (0xFFFFFF). Note that if you are setting the FlashVars in the SWF's url, you must escape the # character as %23. 
backgroundImage 	— URL							Specifies a background image for the wall.     The background image can be a PNG, GIF, or JPG. The background image covers the background color. 
customButton 		— imageURL,targetURL			Adds a custom button in the lower right corner of the toolbar. 
descriptionHeight	— 0 to 100						Sets the percentage height of the name and description overlay when items are selected. 
feed 				— URL							Specifies the feed (MediaRSS or API) that the wall should display. 
glowColor 			— Hexadecimal Color String		Changes the color of the glow around the selected cell (Default is white).     The color string can be specified as it is for backgroundColor. 
icons 				— baseURL						Points to a directory of PNG images for custom toolbar icons.
    The following filenames in the directory will be used:
        * embed.png 		- Embed Code button
        * fullscreen.png 	- Fullscreen/Launch Client button
        * next.png 			- Next Item button
        * pause.png 		- Pause Slideshow button
        * play.png 			- Start Slideshow button.
        * prev.png 			- Previous Item button
        * search.png 		- Search button
        * leftarrow.png 	- left arrow button
        * rightarrow.png 	- right arrow button

itemGUID 			— string							Sets the initially-selected item when the wall loads.     The wall will automatically select the item in a MediaRSS feed with the <guid> </guid> that matches the provided identifier. This enables you to provide "permalinks" to a particular item in the wall. Note that the desired item must be present in the initial feed loaded by the wall (it can't be in a next/previous feed). 
linkCSS 			— string							A CSS string to be applied to any HTML links in item descriptions. 
numRows 			— 1 to 7							Sets how many rows of images to show in the UI.     Note that as you show more rows, the wall is more CPU intensive and may run slower for older computers. 
showChrome 			— true | false						Shows or hides the bottom toolbar background. 
showDescription 	— true | false						Shows or hides the item description overlay. 
showReflections 	— true | false						Shows or hides the reflections under the images.     Hiding the reflections will improve performance. 
showEmbed 			— true | false						Shows or hides the Embed Code button. 
showSearch 			— true | false						Shows or hides the Search button. 
showItemEmbed 		— true | false						Shows or hides the Sharing buttons on individual items.
showLinkOut 		— true | false						Shows the button that links out to the original content.
showClose 			— true | false						Shows the close button on individual items.
showTutorial 		— true | false						If set to true, show a tutorial message if the user does not click on the wall.     By default, the tutorial message says "Click and Drag to Begin", and will display after a few seconds of no interaction. This can be customized with the tutorial FlashVar. 
showNavArrows 		— true | false						Shows or hides the left/right navigation arrows. 
style 				— black | dark | light | white		Sets the theme to use for the wall.     This sets up different default background colors and button appearances. 
tilt 				— 0 to 5							Sets the amount of wall tilt (or disables it by setting it to 0). 

tutorial 			— delayInMillis,imageURL    		 Customizes the tutoril message and delay.     Instead of the simple Click & Drag to Begin, you can use your own tutorial message (as an image file). To customize the delay and tutorial, pass in a time value (in milliseconds) and a URL to your tutorial image. For example, tutorial=4500,images/tutorial.png will show the designed PNG in 4.5 seonds, unless the user starts interacting with the wall. 
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$pwgstuff_ok = get_db_plugins('active','PWG_Stuffs');
$me = get_plugin_data($plugin_id);

 $template->set_filenames( 
		array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig2.tpl'		  
			) );


if (isset($_POST['submit'])) { 
	$me->my_config['piclens_wall_color'] = 					$_POST['background_color'];
	$me->my_config['piclens_wall_showembed'] = 				isset($_POST['piclens_wall_embed']);
	$me->my_config['piclens_wall_showfullscreen'] = 		isset($_POST['piclens_wall_fullscreen']);
	$me->my_config['piclens_wall_showsearch'] = 			isset($_POST['piclens_wall_search']);
	$me->my_config['piclens_wall_showitemembed'] = 			isset($_POST['piclens_wall_itemembed']);
	$me->my_config['piclens_wall_showlinkout'] = 			isset($_POST['piclens_wall_linkout']);
	$me->my_config['piclens_wall_showclose'] = 				isset($_POST['piclens_wall_close']);
	$me->my_config['piclens_wall_transparent'] =   			isset($_POST['piclens_wall_transparent']);
	$me->my_config['piclens_wall_showChrome']  = 			isset($_POST['piclens_wall_showChrome']);
	$me->my_config['piclens_wall_showDescription']  = 		isset($_POST['piclens_wall_showDescription']);
	$me->my_config['piclens_wall_showReflections']  = 		isset($_POST['piclens_wall_showReflections']);
	$me->my_config['piclens_wall_showTutorial']  = 			isset($_POST['piclens_wall_showTutorial']);
	$me->my_config['piclens_wall_showNavArrows']  = 		isset($_POST['piclens_wall_showNavArrows']);
	
	$me->my_config['piclens_wall_nb_ligne']     = 			$_POST['piclens_wall_nb_ligne'];
	$me->my_config['piclens_wall_backgroundAlpha']     = 	$_POST['piclens_wall_backgroundAlpha'];
	$me->my_config['piclens_wall_descriptionHeight'] = 		$_POST['piclens_wall_descriptionHeight'];
	$me->my_config['piclens_wall_tilt'] = 					$_POST['piclens_wall_tilt'];

	$me->my_config['piclens_wall_backgroundColor']  = 		$_POST['piclens_wall_backgroundColor'];
	$me->my_config['piclens_wall_glowColor']  = 			$_POST['piclens_wall_glowColor'];
	
	$me->my_config['piclens_wall_backgroundImage']	= 		$_POST['piclens_wall_backgroundImage'];
	$me->my_config['piclens_wall_tutorial']	= 				$_POST['piclens_wall_tutorial'];
	$me->my_config['piclens_wall_tutorialtime']	= 			$_POST['piclens_wall_tutorialtime'];
	$me->my_config['piclens_wall_customButtonURL'] = 		$_POST['piclens_wall_customButtonURL'];
	$me->my_config['piclens_wall_customButtonTARGET'] = 	$_POST['piclens_wall_customButtonTARGET'];
	
	$me->my_config['piclens_wall_icons']  = 				$_POST['piclens_wall_icons'];
	$me->my_config['piclens_wall_linkCSS']  = 				$_POST['piclens_wall_linkCSS'];
	
	$me->save_config();
	array_push($page['infos'], l10n('piclens_admin_saveOK'));
	
}


$template->assign(array(
	$me->my_config['piclens_wall_color'].'_CHECKED' 	=> 'checked="checked"',
	'PICLENS_WALL_EMBED'								=> ($me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_FULLSCREEN'							=> ($me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SEARCH'								=> ($me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_ITEMEMBED'							=> ($me->my_config['piclens_wall_showitemembed'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_LINKOUT'								=> ($me->my_config['piclens_wall_showlinkout'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_CLOSE'								=> ($me->my_config['piclens_wall_showclose'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_TRANSPARENT'							=> ($me->my_config['piclens_wall_transparent'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SHOWCHROME'							=> ($me->my_config['piclens_wall_showChrome'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SHOWDESCRIPTION'						=> ($me->my_config['piclens_wall_showDescription'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SHOWREFLECTIONS'						=> ($me->my_config['piclens_wall_showReflections'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SHOWTUTORIAL'							=> ($me->my_config['piclens_wall_showTutorial'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SHOWNAVARROWS'						=> ($me->my_config['piclens_wall_showNavArrows'] ? 'checked="checked"' : '' ),
	
	'PICLENS_WALL_NB_LIGNE'								=> $me->my_config['piclens_wall_nb_ligne'],
	'PICLENS_WALL_BACKGROUNDALPHA'						=> $me->my_config['piclens_wall_backgroundAlpha'],
	'PICLENS_WALL_DESCRIPTIONHEIGHT'					=> $me->my_config['piclens_wall_descriptionHeight'],
	'PICLENS_WALL_TILT'									=> $me->my_config['piclens_wall_tilt'],
	
    'PICLENS_WALL_BACKGROUNDCOLOR'						=> $me->my_config['piclens_wall_backgroundColor'],
	'PICLENS_WALL_GLOWCOLOR'							=> $me->my_config['piclens_wall_glowColor'],
	
	'PICLENS_WALL_BACKGROUNDIMAGE'						=> $me->my_config['piclens_wall_backgroundImage'],
	'PICLENS_WALL_TUTORIAL'								=> $me->my_config['piclens_wall_tutorial'],
	'PICLENS_WALL_TUTORIALTIME'							=> $me->my_config['piclens_wall_tutorialtime'],
	'PICLENS_WALL_CUSTOMBUTTONURL'						=> $me->my_config['piclens_wall_customButtonURL'],
	'PICLENS_WALL_CUSTOMBUTTONTARGET'					=> $me->my_config['piclens_wall_customButtonTARGET'],
	
	'PICLENS_WALL_ICONS'								=> $me->my_config['piclens_wall_icons'],
	'PICLENS_WALL_LINKCSS'								=> $me->my_config['piclens_wall_linkCSS']
	
	));

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.PICLENS_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.PICLENS_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));
	
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');

?>